const jwt = require("jsonwebtoken");
const { sendResponse } = require("./responses");
const { parse } = require('cookie'); 
const env = require("../helpers/Env");

function isAuthenticated(req, res, next) {
  const cookies = parse(req.headers.cookie || '');

  try {
    const token = cookies.token; 
    if (!token) {
      return sendResponse(res, 401, { error: "Authentication failed" });
    }
    const decoded = jwt.verify(token, env.get("JWT_KEY"));
    next(res, decoded);
  } catch (error) {
    console.log(error);
    sendResponse(res, 401, { error: "Authentication failed" });
  }
}

module.exports = {
  isAuthenticated
}
